package com.eldos;

import SecureBlackbox.Base.TElMemoryStream;
import SecureBlackbox.Base.TElFileStream;
import SecureBlackbox.Base.SBUtils;
import SecureBlackbox.XML.TElJNLPFile;
import javax.servlet.http.HttpServlet;
import java.io.InputStream;

public class Utils {

    public static byte[] getPDFFile(HttpServlet servlet) {
        InputStream is = servlet.getServletContext().getResourceAsStream("/sample.pdf");
        return SBUtils.streamToBuffer(is, 0);
    }
    
    public static byte[] getJNLPFile(HttpServlet servlet, String codebase, String sessionId, String Data) {
    	
    	TElMemoryStream ms = new  TElMemoryStream(servlet.getServletContext().getResourceAsStream("/jnlptemplate.xml"));
    	TElJNLPFile jnlp = new TElJNLPFile();
    	jnlp.loadFromStream(ms);
    	
    	jnlp.setJnlpCodebase(codebase);
		
    	jnlp.setAppletDescParameter("Data", Data);
    	
    	ms = new TElMemoryStream();
    	jnlp.saveToStream(ms);
    	byte[] data = ms.toByteArray();
    	
    	jnlp.Destroy();
    	
    	return data;
    }   
}

